Bug 171515 - [UPDATE] german/wordpress japanese/wordpress: update to 3.4.2
Summary: [UPDATE] german/wordpress japanese/wordpress: update to 3.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-10 05:40 UTC by takefu
Modified: 2013-03-17 19:01 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2012-09-10 05:40:02 UTC
 - Update to 3.4.2 in german japanese
   add license file in www
   mod pkg-desc in german
   mod distfile zip to tar.gz in german
 Port maintainer (ychsiao@ychsiao.org,miwi@FreeBSD.org) is cc'd.
> How-To-Repeat:
> Fix:
 --- german/wordpress.patch begins here ---
 diff -ruN /usr/ports/german/wordpress/Makefile german/wordpress/Makefile
 --- /usr/ports/german/wordpress/Makefile	2012-07-05 18:37:43.000000000 +0900
 +++ german/wordpress/Makefile	2012-09-10 13:29:11.000000000 +0900
 @@ -7,7 +7,7 @@
  #
 
  PORTNAME=	wordpress
 -PORTVERSION=	3.4.1
 +PORTVERSION=	3.4.2
  CATEGORIES=	german www
  MASTER_SITES=	http://de.wordpress.org/
  DISTNAME=	${PORTNAME}-${PORTVERSION}-de_DE
 @@ -21,7 +21,6 @@
  CONFLICTS_INSTALL=	wordpress-3.* ja-wordpress-3.* ru-wordpress-3.*
 
  NO_BUILD=	yes
 -USE_ZIP=	yes
  USE_PHP=	curl gd mysql pcre tokenizer xml zip
  WANT_PHP_WEB=	yes
  WRKSRC=		${WRKDIR}/${PORTNAME}
 @@ -32,6 +31,8 @@
  PLIST=		${WRKDIR}/pkg-plist
  PORTDOCS=	license.txt readme.html
 
 +OPTIONS_DEFINE=	DOCS
 +
  pre-everything::
  	@${ECHO_CMD} "If you want to upgrade, you must read upgrade document."
  	@${ECHO_CMD} ""
 @@ -44,10 +45,12 @@
  	if [ ! -f ${WRKSRC}/wp-config-sample.php ]; then ${CP} \
  		${WRKSRC}/wp-config.php.sample ${WRKSRC}/wp-config.php; fi
 
 +.include <bsd.port.options.mk>
 +
  do-install:
  	${INSTALL} -d -g ${WWWGRP} -m 755 -o ${WWWOWN} ${WWWDIR}/
  	${CP} -R ${WRKSRC}/ ${WWWDIR}/
 -.if !defined(NOPORTDOCS)
 +.if ${PORT_OPTIONS:MDOCS}
  	${MKDIR} ${DOCSDIR}/
  	cd ${WRKSRC}/ && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}/
  .endif
 diff -ruN /usr/ports/german/wordpress/distinfo german/wordpress/distinfo
 --- /usr/ports/german/wordpress/distinfo	2012-07-05 18:37:43.000000000 +0900
 +++ german/wordpress/distinfo	2012-09-10 13:07:44.000000000 +0900
 @@ -1,2 +1,2 @@
 -SHA256 (wordpress-3.4.1-de_DE.zip) = 9c324cecaebaf35d3e84bc52936ddea5f279a8328f1986de054531893f504ccc
 -SIZE (wordpress-3.4.1-de_DE.zip) = 5374409
 +SHA256 (wordpress-3.4.2-de_DE.tar.gz) = d84bfb5a900048f51f5d964a6277228df2514046cd6ab175146e02fd0ee0f658
 +SIZE (wordpress-3.4.2-de_DE.tar.gz) = 4944236
 diff -ruN /usr/ports/german/wordpress/pkg-descr german/wordpress/pkg-descr
 --- /usr/ports/german/wordpress/pkg-descr	2012-07-05 18:37:43.000000000 +0900
 +++ german/wordpress/pkg-descr	2012-09-10 13:06:20.000000000 +0900
 @@ -4,4 +4,4 @@
  More simply, Wordpress is what you use when you want to work
  with your blogging software, not fight it.
 
 -WWW: http://de.wordpress.org/
 +WWW:	http://de.wordpress.org/
 --- german/wordpress.patch ends here ---
 
 --- japanese/wordpress.patch begins here ---
 diff -ruN /usr/ports/japanese/wordpress/Makefile japanese/wordpress/Makefile
 --- /usr/ports/japanese/wordpress/Makefile	2012-06-29 11:59:42.000000000 +0900
 +++ japanese/wordpress/Makefile	2012-09-10 13:00:01.000000000 +0900
 @@ -6,7 +6,7 @@
  #
 
  PORTNAME=	wordpress
 -PORTVERSION=	3.4.1
 +PORTVERSION=	3.4.2
  CATEGORIES=	japanese www
  MASTER_SITES=	http://ja.wordpress.org/
  DISTNAME=	${PORTNAME}-${PORTVERSION}-ja
 @@ -17,7 +17,7 @@
  LICENSE=	GPLv2
  LICENSE_FILE=	${WRKSRC}/license.txt
 
 -CONFLICTS_INSTALL=	wordpress-3.* de-wordpress-3.* ru-wordpress-ru-3.*
 +CONFLICTS_INSTALL=	wordpress-3.* de-wordpress-3.* ru-wordpress-3.*
 
  NO_BUILD=	yes
  USE_PHP=	curl gd mysql pcre tokenizer xml zip
 @@ -30,6 +30,8 @@
  PLIST=		${WRKDIR}/pkg-plist
  PORTDOCS=	license.txt readme.html
 
 +OPTIONS_DEFINE=	DOCS
 +
  pre-everything::
  	@${ECHO_CMD} "If you want to upgrade, you must read upgrade document."
  	@${ECHO_CMD} ""
 @@ -42,10 +44,12 @@
  	if [ ! -f ${WRKSRC}/wp-config-sample.php ]; then ${CP} \
  		${WRKSRC}/wp-config.php.sample ${WRKSRC}/wp-config.php; fi
 
 +.include <bsd.port.options.mk>
 +
  do-install:
  	${INSTALL} -d -g ${WWWGRP} -m 755 -o ${WWWOWN} ${WWWDIR}/
  	${CP} -R ${WRKSRC}/ ${WWWDIR}/
 -.if !defined(NOPORTDOCS)
 +.if ${PORT_OPTIONS:MDOCS}
  	${MKDIR} ${DOCSDIR}/
  	cd ${WRKSRC}/ && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}/
  .endif
 diff -ruN /usr/ports/japanese/wordpress/distinfo japanese/wordpress/distinfo
 --- /usr/ports/japanese/wordpress/distinfo	2012-06-29 11:59:42.000000000 +0900
 +++ japanese/wordpress/distinfo	2012-09-10 11:52:10.000000000 +0900
 @@ -1,2 +1,2 @@
 -SHA256 (wordpress-3.4.1-ja.tar.gz) = 650549f64c17cf600f84fe57729c1c6128e7d2ee368147c6f7b8d2c27260ee14
 -SIZE (wordpress-3.4.1-ja.tar.gz) = 4983691
 +SHA256 (wordpress-3.4.2-ja.tar.gz) = a8caa2bf5100583c40f3236e78b200514e6e76a6b99d1caf1298e616d9e64952
 +SIZE (wordpress-3.4.2-ja.tar.gz) = 4970768
 --- japanese/wordpress.patch ends here ---
 
 --- www/wordpress.patch begins here ---
 diff -ruN /usr/ports/www/wordpress/Makefile www/wordpress/Makefile
 --- /usr/ports/www/wordpress/Makefile	2012-09-08 05:25:41.000000000 +0900
 +++ www/wordpress/Makefile	2012-09-10 13:00:49.000000000 +0900
 @@ -14,6 +14,9 @@
  MAINTAINER=	ychsiao@ychsiao.org
  COMMENT=	A state-of-the-art semantic personal publishing platform
 
 +LICENSE=	GPLv2
 +LICENSE_FILE=	${WRKSRC}/license.txt
 +
  CONFLICTS_INSTALL=	de-wordpress-3.* ja-wordpress-3.* ru-wordpress-3.*
 
  NO_BUILD=	yes
 @@ -21,6 +24,9 @@
  WANT_PHP_WEB=	yes
  WRKSRC=		${WRKDIR}/${PORTNAME}
 
 +SUB_FILES=	pkg-message pkg-install
 +SUB_LIST=	CHGRP="${CHGRP}" CHOWN="${CHOWN}" CHMOD="${CHMOD}"\
 +		FIND="${FIND}" WWWGRP="${WWWGRP}" WWWOWN="${WWWOWN}"
  PLIST=		${WRKDIR}/pkg-plist
  PORTDOCS=	license.txt readme.html
 
 @@ -49,6 +55,7 @@
  .endif
 
  post-install:
 +	@${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
  	@${CAT} ${PKGMESSAGE}
 
  .include <bsd.port.mk>
 diff -ruN /usr/ports/www/wordpress/files/pkg-install.in www/wordpress/files/pkg-install.in
 --- /usr/ports/www/wordpress/files/pkg-install.in	1970-01-01 09:00:00.000000000 +0900
 +++ www/wordpress/files/pkg-install.in	2012-05-23 22:33:52.000000000 +0900
 @@ -0,0 +1,12 @@
 +#!/bin/sh
 +case $2 in
 +	PRE-INSTALL)
 +		;;
 +	POST-INSTALL)
 +		%%CHOWN%% -R %%WWWOWN%% %%WWWDIR%%/wp-content
 +		%%FIND%% %%WWWDIR%% -type d -print | xargs %%CHGRP%% %%WWWGRP%%
 +		%%FIND%% %%WWWDIR%% -type d -print | xargs %%CHMOD%% g+w
 +		;;
 +	*)
 +	;;
 +esac
 diff -ruN /usr/ports/www/wordpress/files/pkg-message.in www/wordpress/files/pkg-message.in
 --- /usr/ports/www/wordpress/files/pkg-message.in	1970-01-01 09:00:00.000000000 +0900
 +++ www/wordpress/files/pkg-message.in	2012-05-23 22:33:52.000000000 +0900
 @@ -0,0 +1,6 @@
 +                  **** NOTE ****
 +Before the first use of WordPress, copy wp-config-sample.php to wp-config.php
 +in %%WWWDIR%% and modify it to fit your MySQL.
 +Maybe you need 'mysqladmin create wordpress' first.
 +If you are upgrading from 1.x or 2.x to 3.x, please run
 +http://your.site/wordpress/wp-admin/upgrade.php to upgrade to WordPress 3.x
 diff -ruN /usr/ports/www/wordpress/pkg-message www/wordpress/pkg-message
 --- /usr/ports/www/wordpress/pkg-message	2010-12-02 19:46:37.000000000 +0900
 +++ www/wordpress/pkg-message	1970-01-01 09:00:00.000000000 +0900
 @@ -1,6 +0,0 @@
 -                  **** NOTE ****
 -Before the first use of WordPress, copy wp-config-sample.php to wp-config.php
 -in ${WWWDIR} and modify it to fit your MySQL.
 -Maybe you need 'mysqladmin create wordpress' first.
 -If you are upgrading from 1.x or 2.x to 3.x, please run
 -http://your.site/wordpress/wp-admin/upgrade.php to upgrade to WordPress 3.x
 --- www/wordpress.patch ends here ---
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-09-10 05:57:50 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs

rescue from pending.
Comment 2 Edwin Groothuis freebsd_committer 2012-09-10 05:59:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Steve Wills freebsd_committer 2012-10-13 18:48:05 UTC
State Changed
From-To: open->closed

Committed. Thanks!